{"openapi":"3.1.0","info":{"title":"Geocoded","version":"2.0.0","description":"Root collections with strict `filter[...]` filters, explicit expansions, nested field projection, pagination, search, and sorting.","contact":{"email":"contact@harryy.me"},"license":{"name":"CC BY 4.0","url":"https://creativecommons.org/licenses/by/4.0/"},"x-logo":{"url":"/logo.png","altText":"Geocoded"}},"servers":[{"url":"https://api.geocoded.me"}],"paths":{"/v2":{"get":{"tags":["Location"],"summary":"Get caller's geo info","description":"Returns geographic information about the caller based on their IP address, using Cloudflare's edge network data. Also enriches the response with full country, state, and city details when available.","parameters":[{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"country,countryInfo.name,stateInfo.name,cityInfo.name,ip"}],"responses":{"200":{"description":"Location info","content":{"application/json":{"schema":{"type":"object","properties":{"asn":{"type":"number"},"asOrganization":{"type":"string"},"city":{"type":"string"},"cityInfo":{"type":"object","properties":{"id":{"type":"string"},"geonameId":{"type":"number","nullable":true},"name":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"stateName":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"population":{"type":"number"},"timezone":{"type":"string"}},"description":"Full city details when Cloudflare provides a matching city."},"colo":{"type":"string"},"continent":{"type":"string"},"country":{"type":"string"},"countryInfo":{"type":"object","properties":{"id":{"type":"string"},"iso2":{"type":"string"},"iso3":{"type":"string"},"name":{"type":"string"},"native":{"type":"string"},"capital":{"type":"string"},"continent":{"type":"string"},"region":{"type":"string"},"subregion":{"type":"string"},"currency":{"type":"string"},"currencyName":{"type":"string"},"currencySymbol":{"type":"string"},"tld":{"type":"string"},"phoneCode":{"type":"string"},"numericCode":{"type":"string"},"nationality":{"type":"string"},"emoji":{"type":"string"},"emojiU":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"areaSqKm":{"type":"number","nullable":true},"population":{"type":"number"},"gdp":{"type":"number","nullable":true},"literacy":{"type":"number","nullable":true},"postalCodeFormat":{"type":"string","nullable":true},"postalCodeRegex":{"type":"string","nullable":true},"drivingSide":{"type":"string"},"measurementSystem":{"type":"string"},"firstDayOfWeek":{"type":"string"},"timeFormat":{"type":"string"},"flagUrl":{"type":"string"},"languages":{"type":"array","items":{"type":"string"}},"neighbours":{"type":"array","items":{"type":"string"}},"timezones":{"type":"array","items":{"type":"object","properties":{"zoneName":{"type":"string"},"gmtOffset":{"type":"number"},"gmtOffsetName":{"type":"string"},"abbreviation":{"type":"string"},"tzName":{"type":"string"}}}},"translations":{"type":"object","additionalProperties":{"type":"string"}},"statistics":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"populationTotal":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationFemale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationMale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationDensity":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"urbanPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"ruralPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age0To14Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age15To64Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age65PlusPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpPerCapitaCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"lifeExpectancy":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]}},"nullable":true}},"description":"Full country details when Cloudflare provides a country code."},"ip":{"type":"string"},"isEU":{"type":"boolean"},"latitude":{"type":"string"},"longitude":{"type":"string"},"postalCode":{"type":"string"},"region":{"type":"string"},"regionCode":{"type":"string"},"stateInfo":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"iso31662":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"population":{"type":"number","nullable":true},"latitude":{"type":"string"},"longitude":{"type":"string"},"timezone":{"type":"string"},"capital":{"type":"string","nullable":true}},"description":"Full state details when Cloudflare provides a region code."},"timezone":{"type":"string"}}}}}}}}},"/v2/continents":{"get":{"tags":["Continents"],"summary":"List continents","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCount"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list continents response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"countryCount":{"type":"number"}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/continents/{id}":{"get":{"tags":["Continents"],"summary":"Get one continent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AS"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCount"}],"responses":{"200":{"description":"Get one continent response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"countryCount":{"type":"number"}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/regions":{"get":{"tags":["Regions"],"summary":"List regions","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,continent,countryCount"},{"name":"filter[continent]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AS"},{"name":"filter[region]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"Western Asia"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list regions response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"continent":{"type":"string"},"countryCount":{"type":"number"}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/regions/{id}":{"get":{"tags":["Regions"],"summary":"Get one region","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AS:Western Asia"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,continent,countryCount"}],"responses":{"200":{"description":"Get one region response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"continent":{"type":"string"},"countryCount":{"type":"number"}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/countries":{"get":{"tags":["Countries"],"summary":"List countries","description":"Country list with strict `filter[...]` filters, explicit expansions, and nested field projection.","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,iso2,statistics.gdpPerCapitaCurrentUsd"},{"name":"expand","in":"query","required":false,"description":"Comma-separated expansion names. Available: `statistics`, `timezones`, `translations`. Expansions are explicit and flat, for example `expand=statistics,timezones`.","schema":{"type":"string"},"allowReserved":true,"example":"statistics,timezones,translations"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[continent]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AS"},{"name":"filter[region]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"Western Asia"},{"name":"filter[currency]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AED"},{"name":"filter[minPopulation]","in":"query","required":false,"schema":{"type":"number"},"allowReserved":true,"example":1000000},{"name":"filter[maxPopulation]","in":"query","required":false,"schema":{"type":"number"},"allowReserved":true,"example":50000000},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list countries response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"iso2":{"type":"string"},"iso3":{"type":"string"},"name":{"type":"string"},"native":{"type":"string"},"capital":{"type":"string"},"continent":{"type":"string"},"region":{"type":"string"},"subregion":{"type":"string"},"currency":{"type":"string"},"currencyName":{"type":"string"},"currencySymbol":{"type":"string"},"tld":{"type":"string"},"phoneCode":{"type":"string"},"numericCode":{"type":"string"},"nationality":{"type":"string"},"emoji":{"type":"string"},"emojiU":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"areaSqKm":{"type":"number","nullable":true},"population":{"type":"number"},"gdp":{"type":"number","nullable":true},"literacy":{"type":"number","nullable":true},"postalCodeFormat":{"type":"string","nullable":true},"postalCodeRegex":{"type":"string","nullable":true},"drivingSide":{"type":"string"},"measurementSystem":{"type":"string"},"firstDayOfWeek":{"type":"string"},"timeFormat":{"type":"string"},"flagUrl":{"type":"string"},"languages":{"type":"array","items":{"type":"string"}},"neighbours":{"type":"array","items":{"type":"string"}},"timezones":{"type":"array","items":{"type":"object","properties":{"zoneName":{"type":"string"},"gmtOffset":{"type":"number"},"gmtOffsetName":{"type":"string"},"abbreviation":{"type":"string"},"tzName":{"type":"string"}}}},"translations":{"type":"object","additionalProperties":{"type":"string"}},"statistics":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"populationTotal":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationFemale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationMale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationDensity":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"urbanPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"ruralPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age0To14Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age15To64Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age65PlusPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpPerCapitaCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"lifeExpectancy":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]}},"nullable":true}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/countries/{id}":{"get":{"tags":["Countries"],"summary":"Get one country","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AE"},{"name":"expand","in":"query","required":false,"description":"Comma-separated expansion names. Available: `statistics`, `timezones`, `translations`. Expansions are explicit and flat, for example `expand=statistics,timezones`.","schema":{"type":"string"},"allowReserved":true,"example":"statistics,timezones,translations"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,iso2,statistics.gdpPerCapitaCurrentUsd"}],"responses":{"200":{"description":"Get one country response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"iso2":{"type":"string"},"iso3":{"type":"string"},"name":{"type":"string"},"native":{"type":"string"},"capital":{"type":"string"},"continent":{"type":"string"},"region":{"type":"string"},"subregion":{"type":"string"},"currency":{"type":"string"},"currencyName":{"type":"string"},"currencySymbol":{"type":"string"},"tld":{"type":"string"},"phoneCode":{"type":"string"},"numericCode":{"type":"string"},"nationality":{"type":"string"},"emoji":{"type":"string"},"emojiU":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"areaSqKm":{"type":"number","nullable":true},"population":{"type":"number"},"gdp":{"type":"number","nullable":true},"literacy":{"type":"number","nullable":true},"postalCodeFormat":{"type":"string","nullable":true},"postalCodeRegex":{"type":"string","nullable":true},"drivingSide":{"type":"string"},"measurementSystem":{"type":"string"},"firstDayOfWeek":{"type":"string"},"timeFormat":{"type":"string"},"flagUrl":{"type":"string"},"languages":{"type":"array","items":{"type":"string"}},"neighbours":{"type":"array","items":{"type":"string"}},"timezones":{"type":"array","items":{"type":"object","properties":{"zoneName":{"type":"string"},"gmtOffset":{"type":"number"},"gmtOffsetName":{"type":"string"},"abbreviation":{"type":"string"},"tzName":{"type":"string"}}}},"translations":{"type":"object","additionalProperties":{"type":"string"}},"statistics":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"populationTotal":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationFemale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationMale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationDensity":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"urbanPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"ruralPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age0To14Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age15To64Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age65PlusPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpPerCapitaCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"lifeExpectancy":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]}},"nullable":true}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/states":{"get":{"tags":["States"],"summary":"List states","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode,stateCode"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[state]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AZ"},{"name":"filter[timezone]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"Asia/Dubai"},{"name":"filter[minPopulation]","in":"query","required":false,"schema":{"type":"number"},"allowReserved":true,"example":1000000},{"name":"filter[maxPopulation]","in":"query","required":false,"schema":{"type":"number"},"allowReserved":true,"example":50000000},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list states response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"iso31662":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"population":{"type":"number","nullable":true},"latitude":{"type":"string"},"longitude":{"type":"string"},"timezone":{"type":"string"},"capital":{"type":"string","nullable":true}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/states/{id}":{"get":{"tags":["States"],"summary":"Get one state","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AE-AZ"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode,stateCode"}],"responses":{"200":{"description":"Get one state response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"iso31662":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"population":{"type":"number","nullable":true},"latitude":{"type":"string"},"longitude":{"type":"string"},"timezone":{"type":"string"},"capital":{"type":"string","nullable":true}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/cities":{"get":{"tags":["Cities"],"summary":"List cities","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode,geonameId"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[state]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AZ"},{"name":"filter[timezone]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"Asia/Dubai"},{"name":"filter[minPopulation]","in":"query","required":false,"schema":{"type":"number"},"allowReserved":true,"example":1000000},{"name":"filter[maxPopulation]","in":"query","required":false,"schema":{"type":"number"},"allowReserved":true,"example":50000000},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list cities response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"geonameId":{"type":"number","nullable":true},"name":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"stateName":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"population":{"type":"number"},"timezone":{"type":"string"}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/cities/{id}":{"get":{"tags":["Cities"],"summary":"Get one city","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"292968"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode,geonameId"}],"responses":{"200":{"description":"Get one city response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"geonameId":{"type":"number","nullable":true},"name":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"stateName":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"population":{"type":"number"},"timezone":{"type":"string"}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/timezones":{"get":{"tags":["Timezones"],"summary":"List timezones","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,timezone,name,countryCodes"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[timezone]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"Asia/Dubai"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list timezones response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"timezone":{"type":"string"},"countryCodes":{"type":"array","items":{"type":"string"}},"coordinates":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"area":{"type":"string"},"location":{"type":"string"},"abbreviation":{"type":"string"},"name":{"type":"string"},"standardOffset":{"type":"number"},"standardOffsetName":{"type":"string"},"standardAbbreviation":{"type":"string"},"standardName":{"type":"string"},"daylightOffset":{"type":"number","nullable":true},"daylightOffsetName":{"type":"string","nullable":true},"daylightAbbreviation":{"type":"string","nullable":true},"daylightName":{"type":"string","nullable":true},"observesDst":{"type":"boolean"}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/timezones/{id}":{"get":{"tags":["Timezones"],"summary":"Get one timezone","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"Asia/Dubai"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,timezone,name"}],"responses":{"200":{"description":"Get one timezone response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"timezone":{"type":"string"},"countryCodes":{"type":"array","items":{"type":"string"}},"coordinates":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"area":{"type":"string"},"location":{"type":"string"},"abbreviation":{"type":"string"},"name":{"type":"string"},"standardOffset":{"type":"number"},"standardOffsetName":{"type":"string"},"standardAbbreviation":{"type":"string"},"standardName":{"type":"string"},"daylightOffset":{"type":"number","nullable":true},"daylightOffsetName":{"type":"string","nullable":true},"daylightAbbreviation":{"type":"string","nullable":true},"daylightName":{"type":"string","nullable":true},"observesDst":{"type":"boolean"}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/currencies":{"get":{"tags":["Currencies"],"summary":"List currencies","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,code,name,countries"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[currency]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AED"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list currencies response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"decimals":{"type":"number"},"countries":{"type":"array","items":{"type":"string"}}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/currencies/{id}":{"get":{"tags":["Currencies"],"summary":"Get one currency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AED"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,code,name"}],"responses":{"200":{"description":"Get one currency response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"decimals":{"type":"number"},"countries":{"type":"array","items":{"type":"string"}}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/languages":{"get":{"tags":["Languages"],"summary":"List languages","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,iso6391,iso6393,referenceName"},{"name":"filter[code]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"en"},{"name":"filter[scope]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"individual"},{"name":"filter[type]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"living"},{"name":"filter[macrolanguage]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"ara"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list languages response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"iso6393":{"type":"string"},"iso6392B":{"type":"string","nullable":true},"iso6392T":{"type":"string","nullable":true},"iso6391":{"type":"string","nullable":true},"scope":{"type":"string"},"type":{"type":"string"},"referenceName":{"type":"string"},"names":{"type":"array","items":{"type":"object","properties":{"printName":{"type":"string"},"invertedName":{"type":"string"}}}},"macrolanguageCode":{"type":"string","nullable":true},"macrolanguageMemberCodes":{"type":"array","items":{"type":"string"}},"comment":{"type":"string","nullable":true},"lookupCodes":{"type":"array","items":{"type":"string"}}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/languages/{id}":{"get":{"tags":["Languages"],"summary":"Get one language","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"eng"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,iso6391,iso6393,referenceName"}],"responses":{"200":{"description":"Get one language response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"iso6393":{"type":"string"},"iso6392B":{"type":"string","nullable":true},"iso6392T":{"type":"string","nullable":true},"iso6391":{"type":"string","nullable":true},"scope":{"type":"string"},"type":{"type":"string"},"referenceName":{"type":"string"},"names":{"type":"array","items":{"type":"object","properties":{"printName":{"type":"string"},"invertedName":{"type":"string"}}}},"macrolanguageCode":{"type":"string","nullable":true},"macrolanguageMemberCodes":{"type":"array","items":{"type":"string"}},"comment":{"type":"string","nullable":true},"lookupCodes":{"type":"array","items":{"type":"string"}}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/airlines":{"get":{"tags":["Airlines"],"summary":"List airlines","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,iataCode,countryCode"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[iata]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"DXB"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list airlines response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"iataCode":{"type":"string"},"accountingCode":{"type":"string"},"icaoCode":{"type":"string"},"countryName":{"type":"string"},"countryCode":{"type":"string"},"controlledDuplicate":{"type":"boolean"}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/airlines/{id}":{"get":{"tags":["Airlines"],"summary":"Get one airline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"GB:ABX:832"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,iataCode"}],"responses":{"200":{"description":"Get one airline response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"iataCode":{"type":"string"},"accountingCode":{"type":"string"},"icaoCode":{"type":"string"},"countryName":{"type":"string"},"countryCode":{"type":"string"},"controlledDuplicate":{"type":"boolean"}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/airports":{"get":{"tags":["Airports"],"summary":"List airports","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,iataCode,countryCode"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[state]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AZ"},{"name":"filter[timezone]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"Asia/Dubai"},{"name":"filter[iata]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"DXB"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list airports response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"geonameId":{"type":"number","nullable":true},"name":{"type":"string"},"asciiName":{"type":"string"},"alternateNames":{"type":"array","items":{"type":"string"}},"unLocode":{"type":"string","nullable":true},"airportLocationCode":{"type":"string","nullable":true},"iataCode":{"type":"string","nullable":true},"iataCodeSource":{"type":"string","nullable":true},"latitude":{"type":"string"},"longitude":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"stateName":{"type":"string"},"admin2Code":{"type":"string"},"elevation":{"type":"number","nullable":true},"timezone":{"type":"string"},"modificationDate":{"type":"string"}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/airports/{id}":{"get":{"tags":["Airports"],"summary":"Get one airport","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"6300094"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,geonameId,countryCode"}],"responses":{"200":{"description":"Get one airport response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"geonameId":{"type":"number","nullable":true},"name":{"type":"string"},"asciiName":{"type":"string"},"alternateNames":{"type":"array","items":{"type":"string"}},"unLocode":{"type":"string","nullable":true},"airportLocationCode":{"type":"string","nullable":true},"iataCode":{"type":"string","nullable":true},"iataCodeSource":{"type":"string","nullable":true},"latitude":{"type":"string"},"longitude":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"stateCode":{"type":"string"},"stateName":{"type":"string"},"admin2Code":{"type":"string"},"elevation":{"type":"number","nullable":true},"timezone":{"type":"string"},"modificationDate":{"type":"string"}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/ports":{"get":{"tags":["Ports"],"summary":"List ports","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode,functions"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[state]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AZ"},{"name":"filter[iata]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"DXB"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list ports response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"unLocode":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"locationCode":{"type":"string"},"iataCode":{"type":"string","nullable":true},"iataCodeSource":{"type":"string","nullable":true},"name":{"type":"string"},"nameWithoutDiacritics":{"type":"string"},"alternateNames":{"type":"array","items":{"type":"string"}},"subdivisionCode":{"type":"string","nullable":true},"functionCode":{"type":"string"},"functions":{"type":"array","items":{"type":"string"}},"status":{"type":"string"},"statusName":{"type":"string"},"date":{"type":"string"},"coordinates":{"type":"string","nullable":true},"latitude":{"type":"number","nullable":true},"longitude":{"type":"number","nullable":true},"remarks":{"type":"string","nullable":true},"changeIndicator":{"type":"string","nullable":true}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/ports/{id}":{"get":{"tags":["Ports"],"summary":"Get one port","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AEABU"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode"}],"responses":{"200":{"description":"Get one port response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"unLocode":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"locationCode":{"type":"string"},"iataCode":{"type":"string","nullable":true},"iataCodeSource":{"type":"string","nullable":true},"name":{"type":"string"},"nameWithoutDiacritics":{"type":"string"},"alternateNames":{"type":"array","items":{"type":"string"}},"subdivisionCode":{"type":"string","nullable":true},"functionCode":{"type":"string"},"functions":{"type":"array","items":{"type":"string"}},"status":{"type":"string"},"statusName":{"type":"string"},"date":{"type":"string"},"coordinates":{"type":"string","nullable":true},"latitude":{"type":"number","nullable":true},"longitude":{"type":"number","nullable":true},"remarks":{"type":"string","nullable":true},"changeIndicator":{"type":"string","nullable":true}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/border-crossings":{"get":{"tags":["Border Crossings"],"summary":"List border crossings","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode,functions"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"filter[state]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AZ"},{"name":"filter[iata]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"DXB"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list border crossings response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"unLocode":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"locationCode":{"type":"string"},"iataCode":{"type":"string","nullable":true},"iataCodeSource":{"type":"string","nullable":true},"name":{"type":"string"},"nameWithoutDiacritics":{"type":"string"},"alternateNames":{"type":"array","items":{"type":"string"}},"subdivisionCode":{"type":"string","nullable":true},"functionCode":{"type":"string"},"functions":{"type":"array","items":{"type":"string"}},"status":{"type":"string"},"statusName":{"type":"string"},"date":{"type":"string"},"coordinates":{"type":"string","nullable":true},"latitude":{"type":"number","nullable":true},"longitude":{"type":"number","nullable":true},"remarks":{"type":"string","nullable":true},"changeIndicator":{"type":"string","nullable":true}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/border-crossings/{id}":{"get":{"tags":["Border Crossings"],"summary":"Get one border crossing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"ADFMO"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"id,name,countryCode"}],"responses":{"200":{"description":"Get one border crossing response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"unLocode":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"locationCode":{"type":"string"},"iataCode":{"type":"string","nullable":true},"iataCodeSource":{"type":"string","nullable":true},"name":{"type":"string"},"nameWithoutDiacritics":{"type":"string"},"alternateNames":{"type":"array","items":{"type":"string"}},"subdivisionCode":{"type":"string","nullable":true},"functionCode":{"type":"string"},"functions":{"type":"array","items":{"type":"string"}},"status":{"type":"string"},"statusName":{"type":"string"},"date":{"type":"string"},"coordinates":{"type":"string","nullable":true},"latitude":{"type":"number","nullable":true},"longitude":{"type":"number","nullable":true},"remarks":{"type":"string","nullable":true},"changeIndicator":{"type":"string","nullable":true}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/statistics":{"get":{"tags":["Statistics"],"summary":"List country statistics","description":"One statistics row per country. Use `fields` to choose specific statistics instead of an indicator parameter.","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"countryCode,countryName,gdpPerCapitaCurrentUsd"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list country statistics response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"populationTotal":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationFemale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationMale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationDensity":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"urbanPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"ruralPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age0To14Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age15To64Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age65PlusPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpPerCapitaCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"lifeExpectancy":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/statistics/{id}":{"get":{"tags":["Statistics"],"summary":"Get one country statistics row","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AE"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"countryCode,countryName,gdpPerCapitaCurrentUsd"}],"responses":{"200":{"description":"Get one country statistics row response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"populationTotal":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationFemale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationMale":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"populationDensity":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"urbanPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"ruralPopulationPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age0To14Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age15To64Percent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"age65PlusPercent":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"gdpPerCapitaCurrentUsd":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]},"lifeExpectancy":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"},"year":{"type":"integer"},"value":{"type":"number","nullable":true}},"required":["code","name","year","value"]}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/migrant-stocks":{"get":{"tags":["Migrant Stocks"],"summary":"List country migrant stocks","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"sort","in":"query","required":false,"description":"Sort by a supported field, or prefix with `-` for descending.","schema":{"type":"string"},"example":"name"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"countryCode,totalInternationalMigrants"},{"name":"filter[country]","in":"query","required":false,"schema":{"type":"string"},"allowReserved":true,"example":"AE"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":2000,"default":25}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Paginated list country migrant stocks response","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"m49Code":{"type":"string"},"year":{"type":"number"},"coverage":{"type":"string","nullable":true},"sourceDataTypeCode":{"type":"string"},"sourceDataTypeMethods":{"type":"array","items":{"type":"string"}},"totalInternationalMigrants":{"type":"number"},"maleInternationalMigrants":{"type":"number"},"femaleInternationalMigrants":{"type":"number"},"migrantShareOfPopulationPercent":{"type":"number"},"origins":{"type":"array","items":{"type":"object","properties":{"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"m49Code":{"type":"string"},"count":{"type":"number"},"maleCount":{"type":"number"},"femaleCount":{"type":"number"},"shareOfMigrantsPercent":{"type":"number"},"shareOfPopulationPercent":{"type":"number"}}}}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"},"hasMore":{"type":"boolean"},"cursor":{"type":"string","nullable":true}},"required":["total","limit","offset","hasMore","cursor"]}},"required":["data","meta"]}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}},"/v2/migrant-stocks/{id}":{"get":{"tags":["Migrant Stocks"],"summary":"Get one country migrant stock row","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"example":"AE"},{"name":"fields","in":"query","required":false,"description":"Comma-separated fields to return. Use `*` for the default field set and dot notation for expanded fields.","schema":{"type":"string"},"allowReserved":true,"example":"countryCode,totalInternationalMigrants"}],"responses":{"200":{"description":"Get one country migrant stock row response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"m49Code":{"type":"string"},"year":{"type":"number"},"coverage":{"type":"string","nullable":true},"sourceDataTypeCode":{"type":"string"},"sourceDataTypeMethods":{"type":"array","items":{"type":"string"}},"totalInternationalMigrants":{"type":"number"},"maleInternationalMigrants":{"type":"number"},"femaleInternationalMigrants":{"type":"number"},"migrantShareOfPopulationPercent":{"type":"number"},"origins":{"type":"array","items":{"type":"object","properties":{"countryCode":{"type":"string"},"countryName":{"type":"string"},"iso3":{"type":"string"},"m49Code":{"type":"string"},"count":{"type":"number"},"maleCount":{"type":"number"},"femaleCount":{"type":"number"},"shareOfMigrantsPercent":{"type":"number"},"shareOfPopulationPercent":{"type":"number"}}}}}}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"404":{"description":"Error response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}